!

API recipes

Practical examples for using the Houski API.

Examples

Get map pins for property visualization

Programming language

Select the programming language you want to display the code examples in.

Get map pins (properties) for visualization
Retrieve map pins with property data for interactive maps.
Request
Shell session
curl -X GET "https://api.houski.ca/map?api_key=YOUR_API_KEY&bbox_ne_lat=51.10&bbox_ne_lng=-113.90&bbox_sw_lat=50.90&bbox_sw_lng=-114.20&property_type_eq=House"
TypeScript code
const houski_recipe_data = async (): Promise<MapResponse> => {

    // You must copy the MapResponse type declarations from the 
    // Houski API documentation to strongly type the response

    const url = new URL('https://api.houski.ca/map');
    url.searchParams.set('api_key', 'YOUR_API_KEY');
    url.searchParams.set('bbox_ne_lat', '51.10');
    url.searchParams.set('bbox_ne_lng', '-113.90');
    url.searchParams.set('bbox_sw_lat', '50.90');
    url.searchParams.set('bbox_sw_lng', '-114.20');
    url.searchParams.set('property_type_eq', 'House');

    const response = await fetch(url);
    const data = await response.json();

    return data;
}

(async () => {
let data: MapResponse = await houski_recipe_data();

// Log the response
console.log(data);
})();
Response
JSON
{
  "aborted": false,
  "cache_hit": false,
  "cost_cents": 0.17999999225139618,
  "data": {
    "clusters": [],
    "heatmap": [],
    "properties": [
      {
        "latitude": 51.03611755371094,
        "longitude": -114.0792007446289,
        "property_id": "10004f7afe0c1946"
      },
      {
        "latitude": 50.925743103027344,
        "longitude": -113.92975616455078,
        "property_id": "10007f9761f49940"
      },
      {
        "latitude": 50.95145034790039,
        "longitude": -114.12571716308594,
        "property_id": "1000c277cd905d3b"
      },
      {
        "latitude": 51.07606506347656,
        "longitude": -113.92584991455078,
        "property_id": "1001392d95458fc1"
      },
      {
        "latitude": 51.09214782714844,
        "longitude": -114.1414566040039,
        "property_id": "10013b5e28e0c630"
      },
      {
        "latitude": 50.99509048461914,
        "longitude": -114.13599395751952,
        "property_id": "10014f3c7e5bfad9"
      }
    ]
  },
  "error": "",
  "heatmap_aggregation_field": null,
  "heatmap_aggregation_max_value": null,
  "heatmap_aggregation_min_value": null,
  "heatmap_aggregation_type": null,
  "is_clusters": false,
  "is_heatmap": false,
  "is_heatmap_aggregation": null,
  "is_heatmap_aggregation_invert_intensity": null,
  "is_properties": true,
  "pagination": {
    "current_page": 1,
    "has_next_page": true,
    "has_previous_page": false,
    "page_total": 42225
  },
  "price_quote": false,
  "result_total": 253349,
  "time_ms": 94
}